﻿using System.Text.Json.Serialization;

namespace Benday.JsonConverterSample
{
public class WorkItemRevisionInfoWithFieldsAsTypedValues
{
    // [JsonPropertyName("fields")]
    // public Dictionary<string, object> Fields { get; set; }

    [JsonPropertyName("fields")]
    public Dictionary<string, FieldRevision> Fields { get; set; } = new();


    [JsonPropertyName("id")]
    public long Id { get; set; }

    [JsonPropertyName("workItemId")]
    public long WorkItemId { get; set; }

    [JsonPropertyName("revisedDate")]
    public DateTime RevisionDate { get; set; }

    [JsonPropertyName("rev")]
    public long Rev { get; set; }

    [JsonPropertyName("url")]
    public Uri? Url { get; set; }
}
}

